summaryrefslogtreecommitdiff
path: root/package/mosquitto
diff options
context:
space:
mode:
authorjseitter@stz-gab.de <jseitter@stz-gab.de>2015-06-25 00:19:56 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2015-06-28 15:14:41 +0200
commit3962e752d82e9b6e7e41e5ed3a777566212ad02e (patch)
tree5c8c7c5a97a24754c6d81df0aa49803b60ef69bb /package/mosquitto
parent1490a2c23ffae8b0df564d4a53a65e8d1ee92919 (diff)
add mosquitto and c-ares
Signed-off-by: Joerg Seitter <joerg.seitter@stz-gab.de>
Diffstat (limited to 'package/mosquitto')
-rw-r--r--package/mosquitto/Makefile46
-rw-r--r--package/mosquitto/files/mosquitto.init29
-rw-r--r--package/mosquitto/files/mosquitto.postinst7
3 files changed, 82 insertions, 0 deletions
diff --git a/package/mosquitto/Makefile b/package/mosquitto/Makefile
new file mode 100644
index 000000000..206099b15
--- /dev/null
+++ b/package/mosquitto/Makefile
@@ -0,0 +1,46 @@
+# This file is part of the OpenADK project. OpenADK is copyrighted
+# material, please see the LICENCE file in the top-level directory.
+
+include $(ADK_TOPDIR)/rules.mk
+
+PKG_NAME:= mosquitto
+PKG_VERSION:= 1.3.5
+PKG_RELEASE:= 1
+PKG_HASH:= 16eb3dbef183827665feee9288362c7352cd016ba04ca0402a0ccf857d1c2ab2
+PKG_DESCR:= MQTT Broker
+PKG_SECTION:= net/misc
+PKG_DEPENDS:= c-ares
+PKG_BUILDDEP:= cmake-host c-ares
+PKG_URL:= http://mosquitto.org
+PKG_SITES:= http://mosquitto.org/files/source/
+
+# if downloaded package is not ending with .tar.xz use following
+DISTFILES:= ${PKG_NAME}-${PKG_VERSION}.tar.gz
+
+include $(ADK_TOPDIR)/mk/package.mk
+
+$(eval $(call PKG_template,MOSQUITTO,mosquitto,$(PKG_VERSION)-${PKG_RELEASE},${PKG_DEPENDS},${PKG_DESCR},${PKG_SECTION}))
+
+CONFIG_STYLE:= manual
+
+do-configure:
+ (cd ${WRKBUILD} && PATH='${HOST_PATH}' \
+ cmake -DCMAKE_SYSTEM_NAME=Linux .)
+
+mosquitto-install:
+ $(INSTALL_DIR) $(IDIR_MOSQUITTO)/usr/bin
+ $(INSTALL_DIR) $(IDIR_MOSQUITTO)/usr/sbin
+ $(INSTALL_DIR) $(IDIR_MOSQUITTO)/usr/lib
+ $(INSTALL_DIR) $(IDIR_MOSQUITTO)/etc/mosquitto
+ $(INSTALL_BIN) $(WRKINST)/usr/local/bin/mosquitto* \
+ $(IDIR_MOSQUITTO)/usr/bin
+ $(INSTALL_BIN) $(WRKINST)/usr/local/sbin/mosquitto* \
+ $(IDIR_MOSQUITTO)/usr/sbin
+ $(INSTALL_DATA) $(WRKINST)/etc/mosquitto/* \
+ $(IDIR_MOSQUITTO)/etc/mosquitto
+ $(CP) $(WRKINST)/usr/local/lib/*.so* \
+ $(IDIR_MOSQUITTO)/usr/lib
+
+
+
+include ${ADK_TOPDIR}/mk/pkg-bottom.mk
diff --git a/package/mosquitto/files/mosquitto.init b/package/mosquitto/files/mosquitto.init
new file mode 100644
index 000000000..7b9c7a827
--- /dev/null
+++ b/package/mosquitto/files/mosquitto.init
@@ -0,0 +1,29 @@
+#!/bin/sh
+#PKG mosquitto
+#INIT 60
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ test x"${mosquitto:-NO}" = x"NO" && exit 0
+ test x"$mosquitto" = x"DAEMON" && test -x /bin/mksh && exec mksh -T- $0 start
+ exec sh $0 start
+ ;;
+start)
+ [ -d /var/lib/mosquitto ] || mkdir -p /var/lib/mosquitto
+ /usr/sbin/mosquitto $mosquitto_flags
+ ;;
+stop)
+ kill $(pgrep -f /usr/sbin/mosquitto)
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "Usage: $0 {start | stop | restart}"
+ exit 1
+ ;;
+esac
+exit $?
diff --git a/package/mosquitto/files/mosquitto.postinst b/package/mosquitto/files/mosquitto.postinst
new file mode 100644
index 000000000..5c39e9bde
--- /dev/null
+++ b/package/mosquitto/files/mosquitto.postinst
@@ -0,0 +1,7 @@
+#!/bin/sh
+. $IPKG_INSTROOT/etc/functions.sh
+add_rcconf mosquitto NO
+add_rcconf mosquitto_flags ''
+gid=$(get_next_gid)
+add_group mosquitto $gid
+add_user mosquitto $(get_next_uid) $gid /etc/mosquitto